﻿@model IEnumerable<MIMS.Portal.ViewModels.NewsViewModel>
@using MIMS.Portal.Commons.Extensions;

<div class="card">
    <div class="card-header">
        <h4 class="card-title">خبر و اطلاعیه</h4>
        <a class="heading-elements-toggle"><i class="icon-ellipsis font-medium-3"></i></a>
        <div class="heading-elements">
            <ul class="list-inline mb-0">
                <li><a data-action="reload"><i class="icon-reload"></i></a></li>
                <li><a data-action="expand"><i class="icon-expand2"></i></a></li>
            </ul>
        </div>
    </div>
    <div class="card-body">
        <div class="card-block" hidden>
            <p>Total paid invoices 240, unpaid 150. <span class="float-xs-right"><a href="#">Invoice Summary <i class="icon-arrow-right2"></i></a></span></p>
        </div>
        <div class="table-responsive">
            <table class="table table-hover table-off mb-0">
                <thead>
                    <tr>
                        <th width="10%">نوع</th>
                        <th width="30%">عنوان</th>
                        <th width="40%">متن</th>
                        <th width="10%">تاریخ</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        var statusColor = "default";

                        if (item.Type == MIMS.Portal.ValueObjects.Enum.NewsType.Normal)
                            statusColor = "info";

                        if (item.Type == MIMS.Portal.ValueObjects.Enum.NewsType.Announcement)
                            statusColor = "warning";

                        <tr>
                            <td class="text-truncate"><span class="tag tag-default tag-@statusColor">@Html.DisplayFor(modelItem => item.Type)</span></td>
                            <td class="text-wrap">@item.Title</td>
                            <td class="text-wrap">@item.Body</td>
                            <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>